Package ru.bitel.bgbilling.modules.card.server.bean

# Class SuperCardModule

java.lang.Object
ru.bitel.bgbilling.modules.card.server.bean.SuperCardModule

    public final class SuperCardModule
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SuperCardModule()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addToPaymentTypeMap​(int typeRemote, int typeLocal)` |
  `int` | `getActivateServiceId()` |
  `int` | `getDealerId()` |
  `int` | `getPatternId()` |
  `java.util.Map<java.lang.Integer,​java.lang.Integer>` | `getPaymentTypeMap()` |
  `int` | `getPayServiceId()` |
  `int` | `getSuperContractId()` |
  `int` | `getSuperModuleId()` |
  `DefaultServerSetup` | `getSuperSetup()` |
  `void` | `setActivateServiceId​(int activateServiceId)` |
  `void` | `setDealerId​(int dealerId)` |
  `void` | `setPatternId​(int patternId)` |
  `void` | `setPayServiceId​(int payServiceId)` |
  `void` | `setSuperContractId​(int superContractId)` |
  `void` | `setSuperModuleId​(int superModuleId)` |
  `void` | `setSuperSetup​(DefaultServerSetup superSetup)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SuperCardModule

    public SuperCardModule()

- ## Method Details

  - ### getActivateServiceId

    public int getActivateServiceId()

  - ### setActivateServiceId

    public void setActivateServiceId​(int activateServiceId)

  - ### getDealerId

    public int getDealerId()

  - ### setDealerId

    public void setDealerId​(int dealerId)

  - ### getPayServiceId

    public int getPayServiceId()

  - ### setPayServiceId

    public void setPayServiceId​(int payServiceId)

  - ### getSuperContractId

    public int getSuperContractId()

  - ### setSuperContractId

    public void setSuperContractId​(int superContractId)

  - ### getSuperModuleId

    public int getSuperModuleId()

  - ### setSuperModuleId

    public void setSuperModuleId​(int superModuleId)

  - ### getSuperSetup

    public DefaultServerSetup getSuperSetup()

  - ### setSuperSetup

    public void setSuperSetup​(DefaultServerSetup superSetup)

  - ### addToPaymentTypeMap

    public void addToPaymentTypeMap​(int typeRemote, int typeLocal)

  - ### getPaymentTypeMap

    public java.util.Map<java.lang.Integer,​java.lang.Integer> getPaymentTypeMap()

  - ### getPatternId

    public int getPatternId()

  - ### setPatternId

    public void setPatternId​(int patternId)